• 6.9.0 + 6.9.1 + 6.9.2 NetApp PMC-Sierra PM8003 REV.5 and Adaptec 6805H HBA Controller didn't find the hdd's


    Tigerherz
    • Solved Urgent

    Hello,

    Excuse my pronunciation, english is not my natural language.

     

    Shelf is a NetApp DS4243 / IOM6.

    The controller is a NetApp PMC-Sierra PM8003 SCC 4-Port QSFP PCIe x8.

    The 6.8.3 Version has the kernel: pm80xx 0000:27:00.0: pm80xx: driver version 0.1.39.

    The 6.9.0-beta30 last working version.

    The 6.9.0 rc2 Version stable has the kernel: pm80xx 0000:27:00.0: pm80xx: driver version 0.1.40

    The controller didn't find my drives with the new driver.

    The 6.9.1 same problem.

    The 6.9.2 same problem.

     

    Is there any way to get back the older driver or a patch?

    Thank's for reading

    T.

     

    PS.: Justification from limetech

    There were some changes in that driver in kernel 5.10.26

    https://cdn.kernel.org/pub/linux/kernel/v5.x/ChangeLog-5.10.26

    Unraid 6.9.2 will include those changes.

     

     

    😀😀😀😀😀😀😀😀😀😀

    Good news, there is a patch for us.

    Big thank's to @Linux und @DrBeaker.

    You make a great work.

    Please give booth a like 👍

    👍👍👍👍👍👍👍👍👍👍👍

     

    !!!!!!!!! Everything at your own risk !!!!!!!!!! You are responsible yourself !!!!!!!!!!!!

     

    The NetApp PMC-Sierra PM8003 SCC 4-Port QSFP PCIe x8 works.

    Adaptec 6805H HBA Controller can't be confirn, I don't have one.

     

    Thank you

     

     

     



    User Feedback

    Recommended Comments



    I have similar results after upgrading to 6.9, PMC 8003 Card not detected. Rolled back to 6.8.3, Drivers and card detected. This appears to be driver related.

     

    Most Recent version that has Working PMC 8003 Driver is 6.9 Beta 30. Hoping this gets resolved as I require 6.9 for the Nvidia Drivers.

    Link to comment
    Share on other sites

    I have the same issue.

    I have ordered an LSI 9200-16e HBA but it seems that I received a defective unit. This means I cannot install the new card yet, hence I'm still on 6.9.0-beta30 which is the latest version afaik where the PMC8003 works.

     

    It would be good if we could manually have the driver reverted to the older one. Since it works in 6.9.0-beta30 I would assume it's not a newer driver due to 6.9.0 update but that the older driver would still work on 6.9.0 and 6.9.1 ?

     

    Hoping for a quick fix while I try to get a refund on this LSI controller

    Link to comment
    Share on other sites

    I had the same problem using the PM8003. With V6.9.0 Stable.

     

    The PM8003 also used to drop drives occasionally on 6.8.3, but only when unraid was started, requiring drives to be pulled and reseated to refresh the array. It was rock sold once running.  I have not seen this issue with the LSI controller.

     

    I purchased an LSI 9212-4i4e 6Gb SAS Controller Card set on IT mode, and a QSFP SFF-8436 to Mini SAS SFF-8088 Cable. 

     

    It all works well again on 6.9.1 now.

     

    Edited by pete69
    Link to comment
    Share on other sites

    So we have a problem and nobody can or wants to change it?

    Greet's

    Edited by Tigerherz
    Link to comment
    Share on other sites
    On 4/2/2021 at 3:33 PM, limetech said:

    There were some changes in that driver in kernel 5.10.26

    https://cdn.kernel.org/pub/linux/kernel/v5.x/ChangeLog-5.10.26

     

    Unraid 6.9.2 will include those changes.

    Attempted install to 6.9.2, still received PMC errors.

     

    "pm80xx: probe failed with error -16". device does show in the system devices, but drives are not recognized. Rolled back to 6.8.3 again.

    Edited by DrBeaker
    Link to comment
    Share on other sites

    Test 6.9.2, same problem. Rolled back to 6.8.3 again!

     

    @DrBeaker

    thank you for your report

    Tigerherz

    Edited by Tigerherz
    Link to comment
    Share on other sites

    got directed to this thread by @JorgeB - thx mate.

     

    Same issue here with an Adaptec 6805H HBA. 6.9.2 not working with that failure in the log:

     

    pm80xx0:: pm8001_pci_probe  1107:chip_init failed [ret: -16]

    Reverted back to 6.8.3 right now...

    Link to comment
    Share on other sites

    I gave up and switched to a Dell H200e (flashed to LSI 9200-8e IT mode) with the correct cable and that works just fine...

    Link to comment
    Share on other sites
    10 hours ago, zyv said:

    thats sad....

    @limetechwill there be a solution for the issue?

    It will be down to the vendor to fix the driver.

    Link to comment
    Share on other sites

    Same problem here.

     

    After a lot of nervous contemplation, I finally pulled the trigger and bought a NetApp DS4246 and a PM8003 card last week to start process of moving my array over. Installed the card and started up my server only to find out 6.9.2 drivers are not working with this card anymore. Also can't really revert back to 6.8.3 because I just got everything working with the new nVidia driver support (which is great, btw).

     

    Assuming it may be an indeterminate amount of time before this gets fixed, if ever, I'm thinking the only solution now is to buy a different HBA. Does anyone have a suggestion for a SAS card that is known to work with unRaid 6.9.x that has QSFP ports? Hopefully a card that doesn't require firmware modification and is just plug and play?

    Link to comment
    Share on other sites
    On 3/17/2021 at 11:47 PM, Karoolus said:

    Read the post of Pete69 in this treat.

     

    Edited by Tigerherz
    Link to comment
    Share on other sites
    4 hours ago, turbojambox said:

    Does anyone have a suggestion for a SAS card that is known to work with unRaid 6.9.x that has QSFP ports? Hopefully a card that doesn't require firmware modification and is just plug and play?

     

    I purchased an LSI 9212-4i4e 6Gb SAS Controller Card set on IT mode, and a QSFP SFF-8436 to Mini SAS SFF-8088 Cable. Less than A$100 (US$80) all up.

     

    Works fine on 6.9.2

    Link to comment
    Share on other sites
    On 4/23/2021 at 7:21 PM, pete69 said:

     

    I purchased an LSI 9212-4i4e 6Gb SAS Controller Card set on IT mode, and a QSFP SFF-8436 to Mini SAS SFF-8088 Cable. Less than A$100 (US$80) all up.

     

    Works fine on 6.9.2

    Thanks, pete69. I'm new to SAS in general and this is my first foray into it. I ended up ordering a pre-flashed LSI 9212-4i4e from Art of Server's ebay store. His Youtube channel is great - I wish I had known about it earlier!

    Link to comment
    Share on other sites

    YES. Spaceinvader one is the singular source of 90% of my Unraid knowledge - he's the greatest.

     

    Also, thanks for the tip about the cable. The version of the card I ordered has 4 internal SATA ports and 1 external SFF-8088 port, so I think the QSFP cable I have should work for me?

     

    Screen Shot 2021-04-27 at 1.41.46 PM.png

    Link to comment
    Share on other sites

    You will still need the QSFP SFF-8436 to Mini SAS SFF-8088 Cable.

     

    The PMC 8003 had the QSFP SFF-8436 connector (same as the disk shelf).

     

    The new card has a Mini SAS SFF-8088 connector.

     

    They are not the same.

    Mini-SAS-QSFP-DAC_P1_550.jpg

    Link to comment
    Share on other sites

    Ahhhh got it. I had SFF-8436 mixed up in my mind with SFF-8088. You just saved me another couple days of waiting impatiently - thanks!!!

    Link to comment
    Share on other sites

    I am late to the party. I just ran into this with my ds4243 with my pmc-8001 card. In syslog you get

     

    May 23 17:12:50 DL380P kernel: pm80xx: probe of 0000:0b:00.0 failed with error -16



    Like Limetech noted that there was several changes in the linux 5.10.26 kernel which is included in the 6.9.2 release (comes with 5.10.28 kernel) there appears to been a different bug still missed until the 5.10.30 release which fixes the initialization error:

    https://git.kernel.org/pub/scm/linux/kernel/git/stable/linux.git/diff/drivers/scsi/pm8001/pm8001_hwi.c?id=v5.10.28&id2=v5.10.30

    Above is the patch file that i am actually building now with ich777's kernel helper with this as a patch file.

    I will let every know in a bit if it works... I really don't want buy another card and cables and explain it to my partner.

    Link to comment
    Share on other sites
    57 minutes ago, Linux said:

    I am late to the party. I just ran into this with my ds4243 with my pmc-8001 card. In syslog you get

     

    
    May 23 17:12:50 DL380P kernel: pm80xx: probe of 0000:0b:00.0 failed with error -16



    Like Limetech noted that there was several changes in the linux 5.10.26 kernel which is included in the 6.9.2 release (comes with 5.10.28 kernel) there appears to been a different bug still missed until the 5.10.30 release which fixes the initialization error:

    https://git.kernel.org/pub/scm/linux/kernel/git/stable/linux.git/diff/drivers/scsi/pm8001/pm8001_hwi.c?id=v5.10.28&id2=v5.10.30

    Above is the patch file that i am actually building now with ich777's kernel helper with this as a patch file.

    I will let every know in a bit if it works... I really don't want buy another card and cables and explain it to my partner.

    Standing by. Let us know. Need 9.2+ for the Nvidia Driver but stuck at 6.8.3 for the multiple drives.

    Link to comment
    Share on other sites

    @DrBeaker Got more progress, after doing some more digging, there was a few other patches, all changes included below from the 5.10.28 -> 5.10.37 for a couple of issues
     

    patch


    Boot the system, but once it sets the link speed and after initial scan after it boots it goes straight into pci fault error, I thought I might of screwed up the compile, tried again and then i tested on a fresh install on 6.8.3, but same issue on the pci fault error and tested in my g8 dl380p and ilo shows pci bus error on the card.

    Sadly i might of made progress, if you wanted to give it a try, but appears the card I had sitting around is defective so I can't test any further hopefully this helps but I can't test any further as I will need to pick up a new card it appears anyways.

    Link to comment
    Share on other sites



    Join the conversation

    You can post now and register later. If you have an account, sign in now to post with your account.
    Note: Your post will require moderator approval before it will be visible.

    Guest
    Add a comment...

    ×   Pasted as rich text.   Restore formatting

      Only 75 emoji are allowed.

    ×   Your link has been automatically embedded.   Display as a link instead

    ×   Your previous content has been restored.   Clear editor

    ×   You cannot paste images directly. Upload or insert images from URL.


  • Status Definitions

     

    Open = Under consideration.

     

    Solved = The issue has been resolved.

     

    Solved version = The issue has been resolved in the indicated release version.

     

    Closed = Feedback or opinion better posted on our forum for discussion. Also for reports we cannot reproduce or need more information. In this case just add a comment and we will review it again.

     

    Retest = Please retest in latest release.


    Priority Definitions

     

    Minor = Something not working correctly.

     

    Urgent = Server crash, data loss, or other showstopper.

     

    Annoyance = Doesn't affect functionality but should be fixed.

     

    Other = Announcement or other non-issue.